Drop support for use_pkginfo_python_versions draft
authorJulien Cristau <julien.cristau@logilab.fr>
Wed, 12 Nov 2014 11:06:44 +0100
changeset 1671 5b8446d9b559
parent 1670 f6b937183620
Drop support for use_pkginfo_python_versions Unused.
_narval/preprocessors/apycot/distutils.py
--- a/_narval/preprocessors/apycot/distutils.py	Fri Dec 19 13:37:34 2014 +0100
+++ b/_narval/preprocessors/apycot/distutils.py	Wed Nov 12 11:06:44 2014 +0100
@@ -32,26 +32,6 @@
     tested_pyversions = config.get('tested_python_versions')
     if tested_pyversions:
         pyversions = set(splitstrip(tested_pyversions))
-    elif config.get('use_pkginfo_python_versions'):
-        from logilab.devtools.lib.pkginfo import PackageInfo
-        try:
-            pkginfodir = dirname(test.environ['pkginfo'])
-        except KeyError:
-            pkginfodir = test.project_path()
-        try:
-            pkginfo = PackageInfo(directory=pkginfodir)
-            pyversions = set(pkginfo.pyversions)
-        except (NameError, ImportError):
-            pyversions = set()
-        ignored_pyversions = config.get('ignored_python_versions')
-        if ignored_pyversions:
-            ignored_pyversions = set(ignored_pyversions)
-            ignored_pyversions = pyversions.intersection(
-                ignored_pyversions)
-            if ignored_pyversions:
-                for py_ver in ignored_pyversions:
-                    test.writer.debug('python version %s ignored', py_ver)
-                pyversions.difference_update(ignored_pyversions)
     else:
         pyversions = None
     if pyversions: